SafeLeftShift Class Reference

Safely left shift values when undefined behavior could occur. More...

## Detailed Description

Safely left shift values when undefined behavior could occur.

Template Parameters

  bits | the number of bit positions to shift the value
  T | class or type

Parameters

  value | the value to left shift

Returns
  the shifted value or 0

SafeLeftShift safely shifts the value to the left when undefined behavior could occur under C/C++ rules. SafeLeftShift will return the shifted value or 0 if undefined behavior would occur.

The documentation for this class was generated from the following file:

- misc.h